MKNOD(1)

NOM
mknod - Créer des fichiers spéciaux de type bloc ou caractère

SYNOPSIS
mknod [OPTION]... TYPE DE NOM [MAJEUR MINEUR]

DESCRIPTION

Créer le fichier spécial avec le NOM et le TYPE indiqués.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-m, --mode=MODE
    Définir les bits de permission à MODE, au lieu de a=rw - umask.

-Z  Définir le contexte de sécurité SELinux au type par défaut

--context[=CTX]
    comme -Z ou, si CONTEXTE est indiqué, définir le contexte de sécurité SELinux ou SMACK à CONTEXTE

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

MAJEUR et MINEUR doivent être indiqués tous les deux lorsque le TYPE est b, c ou u et ils doivent être omis lorsque le TYPE est p. Si MAJEUR ou MINEUR commence par 0x ou 0X, il est interprété en hexadécimal ; s'il commence par 0, il l'est en octal et en décimal dans les autres cas. Le TYPE peut être :

b   créer un fichier spécial de type bloc (avec tampon)

c, u
    créer un fichier spécial de type caractère (sans tampon)

p   créer un relais de type « fifo »

NOTE : votre interpréteur de commandes peut avoir sa propre version de mknod, qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
mknod(2)

Documentation complète : <https://www.gnu.org/software/coreutils/mknod>
aussi disponible localement à l’aide de la commande : info '(coreutils) mknod invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.